com.io7m.smfj.processing.api

## Class SMFAttributeArrayFloating4.Builder

- java.lang.Object
- - com.io7m.smfj.processing.api.SMFAttributeArrayFloating4.Builder

- Enclosing class:
    SMFAttributeArrayFloating4

      public static final class SMFAttributeArrayFloating4.Builder
      extends Object

  Builds instances of type `SMFAttributeArrayFloating4`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SMFAttributeArrayFloating4.Builder` | `addAllValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector4D> element)`
    `SMFAttributeArrayFloating4.Builder` | `addValues(com.io7m.jtensors.core.unparameterized.vectors.Vector4D element)`
    `SMFAttributeArrayFloating4` | `build()` Builds a new `SMFAttributeArrayFloating4`.
    `SMFAttributeArrayFloating4.Builder` | `from(SMFAttributeArrayFloating4Type instance)` Fill a builder with attribute values from the provided `SMFAttributeArrayFloating4Type` instance.
    `SMFAttributeArrayFloating4.Builder` | `setIterableValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector4D> elements)`
    `SMFAttributeArrayFloating4.Builder` | `setValues(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4D> elements)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final SMFAttributeArrayFloating4.Builder from(SMFAttributeArrayFloating4Type instance)

      Fill a builder with attribute values from the provided `SMFAttributeArrayFloating4Type` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### addValues

          public SMFAttributeArrayFloating4.Builder addValues(com.io7m.jtensors.core.unparameterized.vectors.Vector4D element)

    - #### addAllValues

          public SMFAttributeArrayFloating4.Builder addAllValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector4D> element)

    - #### setValues

          public SMFAttributeArrayFloating4.Builder setValues(javaslang.collection.Vector<com.io7m.jtensors.core.unparameterized.vectors.Vector4D> elements)

    - #### setIterableValues

          public SMFAttributeArrayFloating4.Builder setIterableValues(Iterable<com.io7m.jtensors.core.unparameterized.vectors.Vector4D> elements)

    - #### build

          public SMFAttributeArrayFloating4 build()

      Builds a new `SMFAttributeArrayFloating4`.
      Returns:
        An immutable instance of SMFAttributeArrayFloating4
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com